7.0.0

# bindings2cfg

Synchronize key files with configuration database or convert them to configuration XML.

## Description

bindings2cfg dumps the bindings configuration from a specific key directory to the given database or a configuration XML. In this way, the bindings parameters can be configured in a directory different from $SEISCOMP_ROOT/etc/. From this non-standard directory the configuration XML can be created without prior writing the bindings to a database and reading from there using e.g. scxmldump.

This utility is useful for repeating parameter tuning.

## Examples

1. Write the bindings configuration from some key directory to a configuration XML file:

       bindings2cfg --key-dir ./etc/key -o config.xml

2. Write the bindings configuration from some key directory to the seiscomp database on localhost

       bindings2cfg --key-dir ./etc/key -d mysql://sysop:sysop@localhost/seiscomp

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/bindings2cfg.cfg`
`etc/global.cfg`
`etc/bindings2cfg.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/bindings2cfg.cfg`

bindings2cfg inherits global options.

## Command-Line Options

bindings2cfg [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--config-db arg

  Load the configuration from the given database or file, format: [service://]location .

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

  Default: `binary`

--start-stop-msg arg

  Default: `0`

  Set sending of a start and a stop message.

### Input

--key-dir arg

  Override the location of the default key directory, which is $SEISCOMP_ROOT/etc/key .

### Output

-o, --output arg

  If given, an output XML file is generated. Use ‘-’ for stdout.

--create-notifier

  If given then a notifier message containing all notifiers will be written to the output XML. This option only applies if an output file is given. Notifier creation either requires and input database and an input config XML as reference.